# TdApi.ImportMessages (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ImportMessages

Package it.tdlight.jni

# Class TdApi.ImportMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.ImportMessages

Enclosing class:
  TdApi

    public static class TdApi.ImportMessages
    extends TdApi.Function

Imports messages exported from another app.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.InputFile[]` | `attachedFiles` | Files used in the imported messages.
`long` | `chatId` | Identifier of a chat to which the messages will be imported.
`static int` | `CONSTRUCTOR` |
`TdApi.InputFile` | `messageFile` | File with messages to import.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ImportMessages()` | Imports messages exported from another app.
`ImportMessages​(long chatId, TdApi.InputFile messageFile, TdApi.InputFile[] attachedFiles)` | Imports messages exported from another app.
`ImportMessages​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of a chat to which the messages will be imported. It must be an identifier of a private chat with a mutual contact or an identifier of a supergroup chat with canChangeInfo administrator right.

### messageFile

public TdApi.InputFile messageFile
File with messages to import. Only inputFileLocal and inputFileGenerated are supported. The file must not be previously uploaded.

### attachedFiles

public TdApi.InputFile[] attachedFiles
Files used in the imported messages. Only inputFileLocal and inputFileGenerated are supported. The files must not be previously uploaded.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ImportMessages

public ImportMessages()
Imports messages exported from another app.

Returns `Ok`

### ImportMessages

public ImportMessages​(long chatId, TdApi.InputFile messageFile, TdApi.InputFile[] attachedFiles)
Imports messages exported from another app.

Returns `Ok`

Parameters:
  `chatId` - long Identifier of a chat to which the messages will be imported. It must be an identifier of a private chat with a mutual contact or an identifier of a supergroup chat with canChangeInfo administrator right.
  `messageFile` - InputFile File with messages to import. Only inputFileLocal and inputFileGenerated are supported. The file must not be previously uploaded.
  `attachedFiles` - InputFile[] Files used in the imported messages. Only inputFileLocal and inputFileGenerated are supported. The files must not be previously uploaded.

### ImportMessages

public ImportMessages​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`